Skip to docs content
Browse and search
On this page

Look up a post

Returns one post and its engagement counts.

GET/api/tweet/{id}

Authorization

  • AuthorizationstringheaderrequiredBearer authentication with your TweetStream API key: Bearer <key>.

Path parameters

  • idstringrequiredPost ID.

Response fields

  • metricsobjectrequired
    • bookmarksintegerrequired
    • likesintegerrequired
    • quotesintegerrequired
    • repliesintegerrequired
    • repostsintegerrequired
    • viewsinteger | nullrequired
  • tweetobjectrequiredThe same fields as content in a TWEET History row. A reply that also quotes a post has kind reply, its parent in ref, and the post it quotes in quoted.
    • kindenum<string>optional
    • quotedobjectoptionalThe post a reply also quotes. A quote keeps the post it quotes in ref and has no quoted.
      • typestringrequired
    • refobjectoptional
      • typeenum<string>required

Responses

  • 200Success
  • 400Invalid post ID
  • 401Missing or invalid API key
  • 403The API key's account has no paid or trialing subscription.
  • 404Post not found
  • 429Rate limit reached (60 lookups per minute per account, in bursts of up to 10) or 4 lookups already in progress for the account
  • 503Lookup or authentication is temporarily unavailable